### Virtual Method

# Ide CompletionProvider get_title

#### Declaration

    gchar*
    get_title (
      IdeCompletionProvider* self
    )

#### Description

Gets the title for the provider. This may be used in UI to give the user context about the type of results that are displayed.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A string or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.